﻿/*
 *Copyright(C) 2020 by  Cyf All rights reserved.
 *Unity版本：2021.3.11f1c2 
 *作者:程一峰  
 *创建日期: 2022-11-10 
 *模块说明：木蝴蝶数学库:通用部分
 *版本: 1.0
*/


namespace Oroxylum
{
    /// <summary>
    /// 相交类型
    /// </summary>
    public enum E_IntersectionType :byte
    {
        Empty,

        /// <summary>
        /// 点
        /// </summary>
        Point,

        /// <summary>
        /// 线段
        /// </summary>
        LineSegment,

        /// <summary>
        /// 直线
        /// </summary>
        Line, 

        /// <summary>
        /// 多边形
        /// </summary>
        Polygon,

        /// <summary>
        /// 平面
        /// </summary>
        Plane, 

        Unknown
    }
}