﻿/*
 *Copyright(C) 2020 by  Cyf All rights reserved.
 *Unity版本：2021.3.11f1c2 
 *作者:程一峰  
 *创建日期: 2022-11-10 
 *模块说明：木蝴蝶数学库：数据格式
 *版本: 1.0
*/

using Unity.Mathematics;

namespace Oroxylum
{
    /// <summary>
    /// 3d Box
    /// 平行立方体
    /// </summary>
    public struct Box3d
    {
        public float3 Center;
        public float3 Extent;

        public float3 AxisX;
        public float3 AxisY;
        public float3 AxisZ;

        public Box3d(float3 center, float3 extent)
        {
            Center = center;
            Extent = extent;
            AxisX = OMath.AxisX_3d;
            AxisY = OMath.AxisY_3d;
            AxisZ = OMath.AxisZ_3d;
        }

    }
}