# Oroxylum : 木蝴蝶通用库 #

----------

​	

​	此库为 Unity 的通用库，增加了很多扩展方法和辅助函数。

​	最开始只是想专门用作几何库，但是后面工作中对此需求没有很高，因此改为做成通用库。因此除了 Math 部分不太完善，其他部分基本是可以正常使用的。

​	



## 关于集合运算库

​	在 Unity 中，缺少几何运算库一直是一个痛点，许多几何运算要么自己写方法，要么借用Unity的物理引擎来计算。

​	无论是哪种情况，要么麻烦，要么性能低下。

​	网上虽然确实有不少类似功能的库，但是要么功能不全，要么不开源，或者两者皆有之。

​	这个工程就是基于一个开源工程修改而来，用于提供各种数学库、几何库，方便各种计算。原库是基于double的实现，并且独立于Unity。木蝴蝶的工作是将其整理，并且改用 Unity.Mathematics 的实现，并尽可能的兼容Unity。

​	此外，在后续的开发中，希望能完备注释和算法介绍，使之更方便国内用户使用。

​	创建伊始，功能稚嫩，多多包涵。



**欢迎各位大佬提供算法，感激不尽！**

----------

**计划内容：**

- [x] Line2d/3d ；直线 2d/3d
- [x] Box2d/3d ；平行四变形/平行立方体
- [x] Plane3d (与Unity的Plane区分，基于 Unity.Mathematics 构建) ；
- [x] Box2dAABB （即矩形）
- [x] Box3dAABB （即立方体 Cube）
- [x] Line2d 与 Box2d 求交：IntrLine2dBox2d
- [x] Line3d 与 Box3d 求交：IntrLine3dBox3d
- [x] Line2d 与 Box2dAABB 求交：IntrLine2dBoxAABB2d
- [x] Line3d 与 Box3dAABB 求交：IntrLine3dBoxAABB3d
- [x] Line3d 与 Plane3d 求交：IntrLine3dPlane
- [ ] 三角形 2d/3d
- [ ] 直线与三角形求交（2d/3d)
- [ ] 圆形 2d/3d
- [ ] 圆形的一些几何计算
- [ ] 线段 2d/3d
- [ ] 线段的求交（直线、三角形、圆形、球体等）
- [ ] 球体
- [ ] 球体的一些几何计算
- [ ] 视锥体  Frustum
- [ ] 视锥体检测计算
